> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List secrets per fabric

> List all secrets and their details from a specific fabric



## OpenAPI

````yaml get /api/orchestration/fabric/{fabricId}/secret
openapi: 3.0.3
info:
  title: Prophecy Secrets API
  description: API for managing Prophecy secrets
  version: 1.0.0
servers: []
security: []
paths:
  /api/orchestration/fabric/{fabricId}/secret:
    parameters:
      - name: fabricId
        in: path
        description: The unique ID of the parent fabric
        required: true
        schema:
          type: string
    get:
      tags:
        - Secrets
      summary: List secrets per fabric
      description: List all secrets and their details from a specific fabric
      operationId: listSecretsByFabric
      parameters:
        - $ref: '#/components/parameters/X-AUTH-TOKEN'
      responses:
        '200':
          description: List of fabric secrets
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                    description: Indicates the request was successful.
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      secrets:
                        type: array
                        items:
                          type: object
                          properties:
                            kind:
                              type: string
                              description: Secret kind.
                              enum:
                                - prophecy
                            subKind:
                              type: string
                              description: Secret sub-type.
                              enum:
                                - text
                                - binary
                                - username_password
                                - m2m_oauth
                            properties:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier for the secret.
                                name:
                                  type: string
                                  description: The key name for the secret.
                            type:
                              type: string
                              description: The type of the resource.
                              enum:
                                - secret
                        description: Array of secret objects.
                    description: Response data containing the list of secrets.
              example:
                success: true
                data:
                  secrets:
                    - kind: prophecy
                      subKind: text
                      properties:
                        id: '4656'
                        name: token_1
                      type: secret
                    - kind: prophecy
                      subKind: text
                      properties:
                        id: '4650'
                        name: service_account_1
                      type: secret
components:
  parameters:
    X-AUTH-TOKEN:
      name: X-AUTH-TOKEN
      in: header
      description: Prophecy authentication token. Required for all API requests.
      required: true
      schema:
        type: string

````